<?php
defined('IN_WEB') or die('Include Error!');
class otable {
    private static $indexDb = '';
    public function __construct(){
        self::$indexDb = oo::$config['dbindex'];
    }
    //老虎机体力反比配置
    static  function slotSpinsReturnRateCfg(){
        return oo::$config['dbindex']."api_config.t_slot_spins_return_rate_config";

    }
    //收集活动卡点配置
    static  function slotFreezePointCfg(){
        return oo::$config['dbindex']."api_config.t_slot_freeze_point_config";

    }
    /*****************配置相关	Start********************/
    /**
     * 基础配置存储库
     */
    public static function basicConfig(){
        return oo::$config['dbindex'].'api_config.t_basic_config';
    }
    /**
     *  老虎机配置
     */
    public static function slotConfig(){
        return oo::$config['dbindex']."api_config.t_solt_config";
    }
    //老虎机权重概率配置
    static  function slotWeightCfg(){
        return oo::$config['dbindex']."api_config.t_slot_weight_config";
    }
    /**
     *  老虎机活动配置
     */
    public static function slotActivityConfig(){
        return oo::$config['dbindex']."api_config.t_slot_activity_config";
    }
    /**
     *  大转盘配置
     */
    public static function slotTurntable($version = ''){
        return oo::$config['dbindex']."api_config.t_turn_config".$version;
    }
    /**
     *  大转盘PLUS配置
     */
    public static function TurntableConfigPlus(){
        return oo::$config['dbindex']."api_config.t_turn_config_plus";
    }
    /**
     *  体力大转盘配置
     */
    public static function spinsTurntable(){
        return oo::$config['dbindex']."api_config.t_spinsturn_config";
    }
    /**
     *  关卡岛建筑升级所需金币配置
     */
    public static function coinConfig(){
        return oo::$config['dbindex']."api_config.t_coin_config";
    }
    /**
     *	任务配置表
     */
    static public function taskConfig(){
        return oo::$config['dbindex'] . "api_config.t_task";
    }
    /**
     *	任务配置表
     */
    static public function taskProgressConfig(){
        return oo::$config['dbindex'] . "api_config.t_task_progress";
    }
    /**
     *	成就配置表
     */
    static public function achievementConfig(){
        return oo::$config['dbindex'] . "api_config.t_achievement_config";
    }
    //卡组奖励配置
    public static function cardgroupreward_config(){
        return oo::$config['dbindex'] . "api_config.t_cardgroup_config";
    }
    //卡片奖励配置
    public static function cardreward_config(){
        return oo::$config['dbindex'] . "api_config.t_card_config";
    }
    //卡片星级概率配置
    public static function cardPro_Config(){
        return oo::$config['dbindex']."api_config.t_card_pro_config";
    }
    //任务配置
    public static function mission_Config(){
        return oo::$config['dbindex']."api_config.t_mission_config";
    }
    //宝箱概率配置
    public static function boxPro_Config(){
        return oo::$config['dbindex']."api_config.t_box_pro_config";
    }
    //矿工升级金币配置
    public static function upgradeMiners_Config(){
        return oo::$config['dbindex']."api_config.t_mining_config";
    }
    public static function SymbolConfig($version = 0){
        if($version == 2){
            return oo::$config['dbindex']."api_config.t_symbol_config2";
        }
        return oo::$config['dbindex']."api_config.t_symbol_config";
    }
    public static function ThanksgivingConfig(){
        return oo::$config['dbindex']."api_config.t_thanksgiving_config";
    }
    /**
     * 用户活动等级
     * @return string
     * Created by: Owen
     * Created on: 2019/8/19 18:38
     * Description:
     */
    public static function activityLevel(){
        return oo::$config['dbindex']."api_config.t_activtity_level";
    }
    /**
     * 用户支付等级
     * @return string
     * Created by: Owen
     * Created on: 2019/8/19 18:38
     * Description:
     */
    public static function payLevel(){
        return oo::$config['dbindex']."api_config.t_pay_level";
    }
    /**
     * 静态配置
     * @return string
     * Created by: Owen
     * Created on: 2019/8/22 14:32
     * Description:
     */
    public static function StaticConfig(){
        return oo::$config['dbindex']."api_config.t_static_config";
    }
    /**
     * 翻译文件静态配置
     * @return string
     * Created by: Owen
     * Created on: 2019/8/22 14:32
     * Description:
     */
    public static function LangStaticConfig(){
        return oo::$config['dbindex']."api_config.t_cli_lang_config";
    }

    /**
     * 宝箱价格
     * @return string
     * Created by: Owen
     * Created on: 2019/9/9 15:48
     */
    public static function CardChest(){
        return oo::$config['dbindex'] . "api_config.t_card_chest";
    }
    /**
     * 广告
     * @return string
     * Created by: Owen
     * Created on: 2019/10/18 17:08
     */
    public static function advertisement_config(){
        return oo::$config['dbindex'] . "api_config.t_advertisement_config";
    }
    /**
     * 聊天屏蔽词
     * Created by: Owen
     * Created on: 2019/10/25 18:15
     */
    public static function chatProhibit(){
        return oo::$config['dbindex'] . "api_config.t_chat_prohibit";
    }
    /**
     * 公告,1.11添加新版公告
     * @return string
     * Created by: Owen
     * Created on: 2019/11/7 11:35
     */
    public static function announcement($version = 0){
        return !$version ? oo::$config['dbindex'] . "api_config.t_announcement" : oo::$config['dbindex'] . "api_config.t_announcement2";
    }

    /**
     * 系统配置
     * @return string
     * Created by: Owen
     * Created on: 2019/11/27 16:28
     */
    public static function systemConfig(){
        return oo::$config['dbindex'] . "api_config.t_system_config";
    }
    /**
     * 七日签到 -- 配置
     * @param  $newVersion bool
     * @return string
     * Created by: Owen
     * Created on: 2019/11/29 11:33
     */
    public static function SignInConfig($newVersion = false){
        if($newVersion){
            return oo::$config['dbindex'] . "api_config.t_signin_config_2";
        }
        return oo::$config['dbindex'] . "api_config.t_signin_config";
    }

    /**
     * 七日签到 -- 配置
     * @param  $version
     * @return string
     * Created by: Owen
     * Created on: 2019/11/29 11:33
     */
    public static function SignInProgressConfig($version = 0){
        if($version){
            return oo::$config['dbindex'] . "api_config.t_signin_progress_config{$version}";
        }
        return oo::$config['dbindex'] . "api_config.t_signin_progress_config";
    }

    /**
     * 分享配置
     * @return string
     * Created by: Owen
     * Created on: 2019/11/29 11:33

     */
    public static function ShareConfig($version = false){
        if((int)$version == 3){
            return oo::$config['dbindex'] . "api_config.t_share_config3";
        }else if($version){
            return oo::$config['dbindex'] . "api_config.t_share_config2";
        }else{
            return oo::$config['dbindex'] . "api_config.t_share_config";
        }
    }

    /**
     * 分享公共配置
     * @return string
     * Created by: Richard
     * Created on: 2021/5/19 19:32
     */
    public static function ShareBaseConfig(){
        return oo::$config['dbindex'] . "api_config.t_share_base_config";
    }

    /**
     * 偷打活动配置
     * @param int $version
     * @return string
     * Created by: Owen
     * Created on: 2020/7/18 16:12
     */
    public static function StealAttackConfig($version = 0){
        if($version){
            return oo::$config['dbindex'] . "api_config.t_stealattack".$version;
        }
        return oo::$config['dbindex'] . "api_config.t_stealattack";
    }
    /**
     * 系统补偿
     * @return string
     * Created by: Owen
     * Created on: 2019/12/4 16:42
     */
    public static function SysCompenConfig(){
        return oo::$config['dbindex'] . "api_config.t_syscompen_config";
    }
    /**
     * 节日收集
     * @return string
     * Created by: Owen
     * Created on: 2019/12/10 16:12
     */
    public static function HolidayCollectConfig(){
        return oo::$config['dbindex'] . "api_config.t_holidaycollect_config";
    }
    /**
     * 建筑大师
     * @return string
     * Created by: Owen
     * Created on: 2019/12/17 14:24
     */
    public static function BuildMasterConfig(){
        return oo::$config['dbindex'] . "api_config.t_buildingmaster_config";
    }

    public static function LuckyProConfig(){
        return oo::$config['dbindex'].'api_config.t_lucky_pro_config';
    }
    public static function LuckyConfig($newVersion = false){
        if($newVersion){
            return oo::$config['dbindex'].'api_config.t_lucky_config2';
        }else{
            return oo::$config['dbindex'].'api_config.t_lucky_config';
        }
    }
    public static function LuckyProgressConfig($newVersion = false){

        if($newVersion){
            return oo::$config['dbindex'].'api_config.t_lucky_progress_config2';
        }else{
            return oo::$config['dbindex'].'api_config.t_lucky_progress_config';
        }
    }

    public static function CliLangConfig($lang){
        return oo::$config['dbindex'].'api_config.t_cli_lang_config_'.strtolower($lang);
    }

    /**
     * 宠物配置
     * @param  bool $versionFlag
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 9:56
     */
    public static function PetConfig($versionFlag = false){
        if($versionFlag){
            return oo::$config['dbindex'] . "api_config.t_pet_config2";
        }
        return oo::$config['dbindex'] . "api_config.t_pet_config";
    }

    /**
     * 宠物经验配置
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 9:59
     */
    public static function PetExpConfig(){
        return oo::$config['dbindex'] . "api_config.t_pet_exp_config";
    }

    /**
     * 宠物经验配置
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 9:59
     */
    public static function PetExpConfig2(){
        return oo::$config['dbindex'] . "api_config.t_pet_exp_config2";
    }

    /**
     * vip等级配置
     * @param mixed $version
     * @return string
     * created by owen
     * created at 10:38
     */
    public static function VipLvConfig($version = ""){
        if($version != ""){
            return oo::$config['dbindex'] . "api_config.t_vip_lv_config2";
        }
        return oo::$config['dbindex'] . "api_config.t_vip_lv_config";
    }
    public static function AcivityRankConfig(){
        return oo::$config['dbindex'] . "api_config.t_activity_rank_config";
    }

    public static function AcivityRankProgressConfig(){
        return oo::$config['dbindex'] . "api_config.t_activity_rank_progress_config";
    }

    /**
     * 矿工小游戏配置
     * @param int $versionFlag
     * @return string
     * Created by: Owen
     * Created on: 2020/2/28 23:16
     */
    public static function MiningGameConfig($versionFlag = 0){
        if($versionFlag){
            return oo::$config['dbindex'] . "api_config.t_mining_game_config{$versionFlag}";
        }
        return oo::$config['dbindex'] . "api_config.t_mining_game_config";
    }

    /**
     * 体力加速活动
     * @return string
     * Created by: Owen
     * Created on: 2020/3/11 16:55
     */
    public static function SpeedUpSpinsConfig(){
        return oo::$config['dbindex'] . "api_config.t_speed_up_spins";
    }

    /**
     * 超級倍率活动配置
     * @return string
     * Created by: Owen
     * Created on: 2020/3/12 19:45
     */
    public static function CrazyBetConfig(){
        return oo::$config['dbindex'] . "api_config.t_crazy_bet_config";
    }

    /**
     *	弹框配置表
     */
    public static function configBullet(){
        return oo::$config['dbindex'] . "api_config.t_config_bullet";
    }

    /**
     *	开关配置表
     */
    public static function configSwitch(){
        return oo::$config['dbindex'] . "api_config.t_config_switch";
    }

    /**
     * Notes:公告表
     * User: wsc
     * Time: 2020/7/7 12:33
     * @return string
     */
    public static function notice(){
        return oo::$config['dbindex'] . "api_config.t_notice";
    }

    /**
     * Notes:跑马灯消息配置
     * User: wsc
     * Time: 2021/1/20 14:33
     * @return string
     */
    public static function noticeMsg(){
        return oo::$config['dbindex'] . "api_config.t_notice_msg";
    }

    /**
     * Notes:facebase 推送配置
     * User: wsc
     * Time: 2020/11/9 17:06
     * @return string
     */
    public static function fasebasePushConf(){
        return oo::$config['dbindex'] . "api_config.t_fasebase_push_conf";
    }
    /***************** End ********************/


    /*****************统计相关	Start********************/
    /**
     * 记录用户历史表
     * @param string $uid
     * @return string
     */
    public static function statistics($uid = ""){
//        return oo::$config['dbindex']."api_statistics.t_statistics".$uid%100;
        return oo::$config['dbindex']."api_user.t_statistics";
    }
    //每日新增
    public static function sta_np(){
        return oo::$config['dbindex'] . "api_statistics.newplayer";
    }
    //每日登陆
    public static function sta_lp(){
        return oo::$config['dbindex'] . "api_statistics.loginplayer";
    }
    public static function sta_country(){
        return oo::$config['dbindex'] . "api_statistics.country_statistics";
    }
    /**
     * 早报自动统计表
     * @return string
     */
    static public function report()
    {
        return oo::$config['dbindex'] . "api_statistics.report";
    }
    /**
     * 基本数据统计表
     * @return string
     */
    static public function basicreport()
    {
        return oo::$config['dbindex'] . "api_statistics.basicreport";
    }
    /**
     * 机器人输赢统计表(表已删除)
     * @return string
     */
    static public function robotLoseWin()
    {
        return oo::$config['dbindex'] . "api_statistics.robot_losewin";
    }
    /**
     * LTV统计表
     * @return string
     */
    static public function ltvStatistics()
    {
        return oo::$config['dbindex'] . "api_statistics.ltv_statistics";
    }
    /**
     * 付费留存统计表
     * @return string
     */
    static public function payremainStatistics()
    {
        return oo::$config['dbindex'] . "api_statistics.pay_remain_statistics";
    }

    /**
     * remain统计表(表已删除)
     * @return string
     */
    static public function remainStatistics()
    {
        return oo::$config['dbindex'] . "api_statistics.remain_statistics";
    }
    //推金币游戏统计
    static function coinDozerGameSta(){
        return oo::$config['dbindex'] . "api_statistics.t_coinDozerSta";
    }
    /**
     * 用户流水表(wsc-7.9-已弃用)
     * @param string $uid
     * @return string
     */
    public static function Assetslog($uid = ''){
        if($uid == ""){
            return oo::$config['dbindex']."api_statistics.t_userrassetslog";
        }
        return oo::$config['dbindex']."api_statistics.t_userrassetslog".$uid%100;
    }
    public static function PropertyAdd(){
        return oo::$config['dbindex']."api_statistics.t_property_add";
    }
    public static function PropertyLow(){
        return oo::$config['dbindex']."api_statistics.t_property_low";
    }
    public static function PropertyLogin(){
        return oo::$config['dbindex']."api_statistics.t_login_time";
    }
    public static function loginTimeAddress(){
        return oo::$config['dbindex']."api_statistics.t_login_time_address";
    }
    public static function Moneyinout(){
        return oo::$config['dbindex']."api_statistics.t_moneyinout";
    }
    public static function AssetsSta(){
        return oo::$config['dbindex']."api_statistics.t_assets_sta";
    }
    /**
     * 新手流失率
     * @return string
     * Created by: Owen
     * Created on: 2019/7/26 17:44
     * Description:
     */
    public static function NewLost(){
        return oo::$config['dbindex']."api_statistics.newlost";
    }
    /**
     * 新手引导流失
     * @return string
     * Created by: Owen
     * Created on: 2019/7/26 17:44
     * Description:
     */
    public static function newGuideLost(){
        return oo::$config['dbindex']."api_statistics.report_event";
    }
    /**
     * 关卡流失率
     * @return string
     * Created by: Owen
     * Created on: 2019/7/26 18:40
     * Description:
     */
    public static function LevelLost(){
        return oo::$config['dbindex']."api_statistics.levellost";
    }
    /**
     * 关卡通过率
     * @return string
     * Created by: Owen
     * Created on: 2019/7/26 18:40
     * Description:
     */
    public static function LevelThrough(){
        return oo::$config['dbindex']."api_statistics.levelthrough";
    }
    /**
     * 老虎机统计
     * @return string
     * Created by: Owen
     * Created on: 2019/8/5 15:14
     * Description:
     */
    public static function slotStatistics(){
        return oo::$config['dbindex']."api_statistics.t_slotSta";
    }
    /**
     * 邀請分享统计
     * @return string
     * Created by: Owen
     * Created on: 2019/8/5 15:14
     * Description:
     */
    public static function inviteStatistics(){
        return oo::$config['dbindex']."api_statistics.t_invite";
    }
    /**
     * 金币/体力异常统计
     * @return string
     * Created by: Owen
     * Created on: 2019/8/5 15:14
     * Description:
     */
    public static function abnormalSta(){
        return oo::$config['dbindex']."api_statistics.t_abnormalSta";
    }
    /**
     * 后台首页上方基本数据统计--运营导出
     * @return string
     * Created by: Owen
     * Created on: 2019/9/20 16:56
     */
    public static function BaseDataSta(){
        return oo::$config['dbindex'] . "api_statistics.t_BaseDataSta";
    }
    /**
     * 警告统计
     * @return string
     * Created by: Owen
     * Created on: 2019/9/20 16:56
     */
    public static function addWarning(){
        return oo::$config['dbindex'] . "api_statistics.t_warning";
    }
    /**
     * 版本统计
     * @return string
     * Created by: Owen
     * Created on: 2019/9/20 16:56
     */
    public static function versionSta(){
        return oo::$config['dbindex'] . "api_statistics.t_version";
    }
    /**
     * 广告统计
     * @return string
     * Created by: Owen
     * Created on: 2019/10/21 17:22
     */
    public static function advertisementSta(){
        return oo::$config['dbindex'] . "api_statistics.t_advertisementSta";
    }
    /**
     * 活动统计
     * Created by: Owen
     * Created on: 2019/10/25 18:15
     */
    public static function activitySta(){
        return oo::$config['dbindex'] . "api_statistics.t_activtitySta";
    }
    /**
     * 聊天举报
     * @return string
     * Created by: Owen
     * Created on: 2019/10/30 16:57
     */
    public static function chatReport(){
        return oo::$config['dbindex'] . "api_statistics.t_chat_report";
    }
    /**
     * 聊天禁言列表
     * @return string
     * Created by: Owen
     * Created on: 2019/10/30 16:57
     */
    public static function chatLock(){
        return oo::$config['dbindex'] . "api_statistics.t_chat_lock";
    }
    /**
     * 每日排行
     * @return string
     * Created by: Owen
     * Created on: 2019/11/1 20:32
     */
    public static function dayRank(){
        return oo::$config['dbindex'] . "api_statistics.t_day_rank";
    }
    /**
     * 礼包记录(分表存储)
     * Created by: Owen
     * Created on: 2019/12/3 18:39
     */
    public static function versionGitfLog($uid = 0){
        if($uid == 0){
            return oo::$config['dbindex'] . "api_statistics.t_version_gift_log";
        }
        return oo::$config['dbindex'] . "api_versiongift.t_version_gift_log_".$uid%100;
    }
    /**
     * 分享统计
     * @return string
     * Created by: hss
     * Created on: 2019/12/12 11:28
     */
    public static function shareSta(){
        return oo::$config['dbindex'] . "api_statistics.t_share_sta";
    }
    /**
     * 体力金币发放消耗关卡统计
     * @return string
     * Created by: hss
     * Created on: 2019/12/13 12:10
     */
    public static function spinsMoneyLevelSta(){
        return oo::$config['dbindex'] . "api_statistics.t_spins_money_level_sta";
    }
    /**
     * 打偷统计
     * @return string
     * Created by: hss
     * Created on: 2019/12/16 15:10
     */
    public static function attackStealSta(){
        return oo::$config['dbindex'] . "api_statistics.t_attack_steal_sta";
    }
    /**
     * 建筑统计
     * @return string
     * Created by: hss
     * Created on: 2019/12/17 10:01
     */
    public static function buildSta(){
        return oo::$config['dbindex'] . "api_statistics.t_build_sta";
    }
    /**
     * 新增用户付费情况
     * @return string
     * Created by: hss
     * Created on: 2019/12/19 11:51
     */
    public static function newPayGoodsSta(){
        return oo::$config['dbindex'] . "api_statistics.t_new_pay_goods_sta";
    }
    /**
     * 付费用户排行榜统计记录
     * @return string
     * Created by: hss
     * Created on: 2019/12/20 11:51
     */
    public static function payUserRankSta(){
        return oo::$config['dbindex'] . "api_statistics.t_pay_user_rank_sta";
    }
    /**
     * 体力发放排行榜 付费 & 非付费 统计记录
     * @return string
     * Created by: hss
     * Created on: 2019/12/20 12:28
     */
    public static function spinsAddRankSta(){
        return oo::$config['dbindex'] . "api_statistics.t_spins_add_rank_sta";
    }
    /**
     * 新手步骤 统计记录
     * @return string
     * Created by: hss
     * Created on: 2019/12/24 11:25
     */
    public static function noviceStepsSta(){
        return oo::$config['dbindex'] . "api_statistics.t_novice_steps_sta";
    }
    /**
     * 新手引导流失 FB
     * @return string
     * Created by: Hss
     * Created on: 2019/12/27 10:48
     * Description:
     */
    public static function newGuideLostFb(){
        return oo::$config['dbindex']."api_statistics.report_event_fb";
    }

    /**
     * 游客转FB数量统计 统计记录
     * @return string
     * Created by: hss
     * Created on: 2020/1/13 10:51
     */
    public static function saveVisitorToFbSta(){
        return oo::$config['dbindex'] . "api_statistics.t_visitortofb_sta";
    }

    /**
     * 赠送情况 统计记录
     * @return string
     * Created by: hss
     * Created on: 2020/1/14 15:47
     */
    public static function saveGivesSta(){
        return oo::$config['dbindex'] . "api_statistics.t_gives_sta";
    }

    /**
     * 赠送卡片排行榜每日 统计记录
     * @return string
     * Created by: hss
     * Created on: 2020/1/15 11:44
     */
    public static function saveGiveCardSta(){
        return oo::$config['dbindex'] . "api_statistics.t_gives_card_sta";
    }


    /**
     * 当天人均通关数（当天通关数 / 当天登陆用户数） 保存到数据库
     * @return string
     * Created by: hss
     * Created on: 2020/1/15 18:45
     */
    public static function saveTodayUpLvelSta(){
        return oo::$config['dbindex'] . "api_statistics.t_today_up_level_sta";
    }

    /**
     * 金矿领取率
     * @return string
     * Created by: hss
     * Created on: 2020/1/17 10:51
     */
    public static function saveMiningReceiveSta(){
        return oo::$config['dbindex'] . "api_statistics.t_mining_receive_sta";
    }

    /**
     * 矿工进度 保存进数据库
     * @return string
     * Created by: hss
     * Created on: 2020/2/7 21:18
     */
    public static function saveMinerSpeedSta(){
        return oo::$config['dbindex'] . "api_statistics.t_mining_speed_sta";
    }


    /**
     * 获取RichestKing统计 保存到数据库
     * @return string
     * Created by: hss
     * Created on: 2020/2/17 13:06
     */
    public static function saveGetRichestKingSta(){
        return oo::$config['dbindex'] . "api_statistics.t_get_richestking_sta";
    }

    /**
     * 签到领取率统计 保存到数据库
     * @return string
     * Created by: hss
     * Created on: 2020/2/25 10:30
     */
    public static function saveSignInSta(){
        return oo::$config['dbindex'] . "api_statistics.t_sign_in_sta";
    }

    /**
     * 大客户维护
     * @return string
     * Created by: hss
     * Created on: 2020/2/29 13:48
     */
    public static function keyAccountSta(){
        return oo::$config['dbindex'] . "api_statistics.key_account_sta";
    }

    /**
     * 奖励中心统计
     * @return string
     * Created by: hss
     * Created on: 2020/3/3 10:49
     */
    public static function saveRewardCenterSta(){
        return oo::$config['dbindex'] . "api_statistics.t_reward_center_sta";
    }

    /**
     * 更新公告领取率
     * @return string
     * Created by: hss
     * Created on: 2020/3/3 14:43
     */
    public static function updateVersionSta(){
        return oo::$config['dbindex'] . "api_statistics.t_update_version_sta";
    }

    /**
     * 系统补偿领取率
     * @return string
     * Created by: hss
     * Created on: 2020/3/3 14:43
     */
    public static function sysCompensateSta(){
        return oo::$config['dbindex'] . "api_statistics.t_sys_compensate_sta";
    }

    /**
     * 聊天的人均金币体力领取次数统计
     * @return string
     * Created by: hss
     * Created on: 2020/3/4 14:30
     */
    public static function chatGiftSta(){
        return oo::$config['dbindex'] . "api_statistics.t_chat_gift_sta";
    }

    /**
     * 转盘参与率
     * @return string
     * Created by: hss
     * Created on: 2020/3/5 11:05
     */
    public static function turnTableSta(){
        return oo::$config['dbindex'] . "api_statistics.t_turn_table_sta";
    }

    /**
     * 对账后台
     * @return string
     * Created by: hss
     * Created on: 2020/3/10 20:17
     */
    public static function reconciliation(){
        return oo::$config['dbindex'] . "api_statistics.reconciliation";
    }

    /**
     * 异常金币体力统计
     * @return string
     * Created by: hss
     * Created on: 2020/3/12 16:59
     */
    public static function ab_moneyspins(){
        return oo::$config['dbindex'] . "api_statistics.t_abnormal_moneyspins";
    }

    /**
     * 客户端日记
     * @return string
     * Created by: hss
     * Created on: 2020/3/13 16:28
     */
    public static function clientlog($month = "202003"){
        return oo::$config['dbindex'] . "api_statistics.t_clientlog_{$month}";
    }

    /**
     * 玩家登陆日志
     * @return string
     */
    public static function LoginLog($date){
        return "crazygod_api_log.new_login_log_".$date;
    }

    /**
     * 数据统计
     * @return string
     * Created by: hss
     * Created on: 2020/3/12 16:59
     */
    public static function staData(){
        return oo::$config['dbindex'] . "api_statistics.t_sta_data";
    }

    /**
     * 资源上传记录
     * @return string
     * Created by: Owen
     * Created on: 2020/5/11 18:09
     */
    public static function ResourcesUpload(){
        return oo::$config['dbindex'] . "api_statistics.t_resources_upload";
    }

    public static function TransformLog(){
        return oo::$config['dbindex']."api_statistics.t_transform_log";
    }

    /**
     * 刪除用戶記錄
     * @return string
     * Created by: Owen
     * Created on: 2020/6/2 15:48
     */
    public static function DeleteUserLog(){
        return oo::$config['dbindex']."api_statistics.t_delete_user_log";
    }

    /**
     * AdJust 相关
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function AdJustSta($uid = 0){
        if($uid == 0){
            return oo::$config['dbindex']."api_statistics.t_adjust_sta";
        }
        return oo::$config['dbindex']."api_adjuststa.t_adjust_sta_".$uid%100;
    }

    /**
     * adjust再归因
     * @return string
     */
    public static function AdjustBackData(){
        return oo::$config['dbindex']."api_adjuststa.t_adjust_callback_data";
    }

    /****************** End ********************/


    /***************** 系统管理相关 Start ********************/
    /**
     * 兑换码
     */
    public static function exchangeCode(){
        return oo::$config['dbindex'] . "api.t_exchange_code";
    }

    /**
     * 机器人
     * @return string
     * Created by: Owen
     * Created on: 2019/7/24 17:39
     * Description:
     */
    public static function Robot(){
        return oo::$config['dbindex'] . "api.t_robot";
    }

    /**
     *	在线在玩统计
     */
    public static function onlineplaying(){
        return oo::$config['dbindex'] . "api_admin.onlineplaying";
    }


    /**
     *	版本更新记录表
     */
    static public function gameupdate()
    {
        return oo::$config['dbindex'] . "api_admin.gameupdate";
    }

    /**
     *	版本sid更新记录表
     */
    static public function gameupdatesid()
    {
        return oo::$config['dbindex'] . "api_admin.gameupdate_sid";
    }

    /**
     *	记录系统消息
     */
    static public function sendOsNews()
    {
        return oo::$config['dbindex'] . "api_admin.sendosnews";
    }

    /**
     *	记录推送消息
     */
    static public function pushnews()
    {
        return oo::$config['dbindex'] . "api_admin.pushnews";
    }

    /**
     *	新版对账 --- 支付渠道金额汇总
     */
    static public function earnmoney()
    {
        return oo::$config['dbindex']."api_admin.earnmoney";
    }

    /**
     * 热更新
     * @return string
     * Created by: Owen
     * Created on: 2019/12/20 15:15
     */
    public static function GameHotFix(){
        return oo::$config['dbindex'] . "api_admin.gamehotfix";
    }
    //消息推送设置
    public static function PushSetting(){
        return oo::$config['dbindex']."api_admin.pushsetting";
    }

    /***************** End ********************/

    /*******************用户相关***********************/
    /**
     * facebook注册用户信息表（api_account变更为api_user,合表）
     * @return string
     */
    public static function taccount($siteuid = ""){
        return oo::$config['dbindex'] . "api_user.t_account";
    }

    /**
     * Notes:用户卡片配置(api_cardinfo变更为api_user,并合表)
     * User: wsc
     * DateTime: 2020/2/28 12:29
     * @param $uid
     * @return string
     */
    public static function usercard_config($uid)
    {
        return oo::$config['dbindex'] . "api_user.t_usercard";
    }

    /**
     * 特殊登录生成mac码表(api_account变更为api_user)
     * @return string
     * Created by: Owen
     * Created on: 2019/11/8 17:41
     */
    public static function super(){
        return oo::$config['dbindex'] . "api_user.t_super";
    }

    /**
     * 用户自增长ID表（api_userinfo变更为api_user）
     * @return string
     */
    public static function userid(){
        return oo::$config['dbindex'] . "api_user.t_id";
    }

    /**
     * android注册用户信息表（api_userinfo变更为api_user）
     * @return string
     */
    public static function mobile(){
        return oo::$config['dbindex'] . "api_user.t_mobile";
    }

    /**
     * IOS注册用户信息表（api_userinfo变更为api_user）
     * @return string
     */
    public static function openudid(){
        return oo::$config['dbindex'] . "api_user.t_openudid";
    }
    /**
     * 游客用户绑定信息表（api_userinfo变更为api_user）
     * @return string
     */
    public static function visitorbind()
    {
        return oo::$config['dbindex'] . "api_user.t_visitor_bind";
    }

    /**
     * 用户详细信息表（api_userinfo变更为api_user,合表）
     */
    public static function userinfo($uid=null) {
        return oo::$config['dbindex'] . "api_user.t_userinfo";
    }

    /**
     * 用户好友(api_userfriends变更为api_user)
     */
    public static function userfriends($uid){
        return oo::$config['dbindex'].'api_user.t_userfriends';
    }

    public static function usercoindozer(){
        return oo::$config['dbindex'].'api_user.t_user_coindozer';
    }
    /**
     * 用户岛数据
     */
    public static function userlevel($uid = ""){
        if($uid){
            return oo::$config['dbindex'].'api_userlevel.t_userlevel'.$uid%100;
        }else{
            return oo::$config['dbindex'].'api_userlevel.t_userlevel_orig';
        }
    }

    /**
     *	gh_games(gh_games变更为crazyGod_api_user)
     *	server 存储玩家信息表
     */
    public static function gh_gameserver($uid = ""){
        return oo::$config['dbindex'].'api_user.gh_gameinfo';
    }

    //矿岛信息(api_mining变更为api_user)
    public static function miningInfo(){
        return oo::$config['dbindex']."api_user.t_mining";
    }

    /**
     * Notes:用户国家信息
     * User: wsc
     * Time: 2020/5/20 11:29
     * @return string
     */
    public static function useraddress(){
        return oo::$config['dbindex']."api_user.t_useraddress";
    }


    /**********************业务相关分表 Start**************************/
    /**
     * 消息记录表
     */
    public static function messageLog($uid){
        return oo::$config['dbindex'].'api_message_log.message_log'.$uid%100;
    }

    /**
     * 用户礼物
     * @param int $uid
     * @return string
     */
    public static function gift($uid = 0)
    {
        return oo::$config['dbindex'].'api_usergift.t_usergift'.$uid % 100;
    }

    /**
     * 成就系统
     * @param $uid
     * @return string
     */
    public static function achi($uid){
        return oo::$config['dbindex'] . "api_achievement.t_achievement".$uid%100;
    }

    /**
     *	成就配置表
     */
    static public function achievement($uid)
    {
        return oo::$config['dbindex'] . "api_achievement.t_achievement".$uid % 100;
    }

    /**
     * 用户道具
     */
    public static function userprops($uid){
        return oo::$config['dbindex'].'api_userprops.gh_props'.$uid%100;
    }

    /**
     * 用户宠物信息
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 14:29
     */
    public static function UserPet($uid){
        return oo::$config['dbindex'] . "api_userprops.t_userpet".$uid%100;
    }

    /**
     * 玩家邀请相关
     * @param $uid
     * @return string
     */
    public static function userinvite($uid){
        return oo::$config['dbindex'] . "api_userinvite.t_userinvite".$uid%100;
    }

    /**
     *	订单列表
     */
    public static function payment($uid){
        return oo::$config['dbindex'] . "api_paymentnew.payment".$uid%100;
    }

    /**
     * 验单失败的订单记录
     */
    public static function paymentFail($uid = 0) {
        return oo::$config['dbindex'] . "api_paymentnew.payment_fail";
    }

    /**
     * 老虎机日志
     */
    public static function slotlog($uid = ""){
        if($uid == ""){
            return oo::$config['dbindex']."api_slotlog.slot";
        }
        return oo::$config['dbindex']."api_slotlog.slot".$uid % 100;
    }

    /**
     * 消息中心表（-待定-）
     * @return string
     */
    public static function usernews($uid) {
        return oo::$config['dbindex'].'api_usernews.news'.($uid % 100);
    }

    /********************** End **************************/

    /*********************独立库,业务相关 Start*******/
    /**
     * 玩家邀请礼包
     * @return string
     */
    public static function userinvitegiftbag(){
        return oo::$config['dbindex'] . "api_userinvite.invite_giftbag";
    }

    /**
     * 玩家邀请成功
     */
    static public function userinvitesuc()
    {
        return oo::$config['dbindex'] . "api_userinvite.invite_suc";
    }

    /**
     * 玩家邀请成功
     */
    static public function userinviteurl()
    {
        return oo::$config['dbindex'] . "api_userinvite.invite_url";
    }

    /**
     *	商品列表
     */
    public static function goods(){
        return oo::$config['dbindex'] . "api_paymentnew.goods";
    }

    /**
     *	商品列表 -- 瘋狂的上帝
     */
    public static function goodsCrazy(){
        return oo::$config['dbindex'] . "api_paymentnew.goods_crazygod";
    }

    /**
     *	钻石兑换列表 -- 瘋狂的上帝
     */
    public static function diamondCrazy(){
        return oo::$config['dbindex'] . "api_paymentnew.diamond_crazygod";
    }

    /**
     *	商品列表 -- 瘋狂的上帝
     */
    public static function goodsCoin(){
        return oo::$config['dbindex'] . "api_paymentnew.goods_coin";
    }

    /**
     *	支付汇总表
     */
    public static function summarylist()
    {
        return oo::$config['dbindex'] . "api_paymentnew.summarylist";
    }

    /**
     * Notes:支付汇总年表
     * User: wsc
     * Time: 2021/12/22 16:25
     * @param $year
     * @return string
     */
    public static function orderNew($year){
        return oo::$config['dbindex']."api_payment3.order_{$year}";
    }
    /**
     * 订阅信息
     * Created by: Owen
     * Created on: 2019/11/13 17:05
     */
    public static function subscription($plat = 0){
        if($plat){
            return oo::$config['dbindex'] . "api_paymentnew.t_subscription_ios";
        }else{
            return oo::$config['dbindex'] . "api_paymentnew.t_subscription";
        }
    }

    /**
     *	信鸽推送
     */
    static public function xg_push()
    {
        return oo::$config['dbindex'] . "api_push.xg_push";
    }

    /**
     *	流失玩家召回推送
     */
    static public function recallback_push()
    {
        return oo::$config['dbindex'] . "api_push.recallback";
    }

    //礼物配置
    public static function gift_config()
    {
        return oo::$config['dbindex'].'api_usergift.gift';
    }

    /****************** api业务相关 Start********************/

    //卡組信息配置(api_cardinfo变更为api)
    public static function cardgroup_config()
    {
        return oo::$config['dbindex'] . "api.t_cardgroup";
    }
    //卡組信息配置(api_cardinfo变更为api)
    public static function specialCardgroup_config()
    {
        return oo::$config['dbindex'] . "api.t_cardgroup_special";
    }
    //卡片信息配置(api_cardinfo变更为api)
    public static function cardinfo_config()
    {
        return oo::$config['dbindex'] . "api.t_cardinfo";
    }

    //卡片奖励信息配置
    public static function cardreward_config2()
    {
        return oo::$config['dbindex'] . "api.t_cardreward";
    }

    //限时卡组主题配置表
    public static function cardgroup_limit_theme_config()
    {
        return oo::$config['dbindex'] . "api.t_cardgroup_limit_theme";
    }

    // 限定卡片(api_cardinfo变更为api)
    public static function specialCardInfoConfig(){
        return oo::$config['dbindex'] . "api.t_cardinfo_special";
    }


    /**
     * 金蛋活动（由api_activity变更为api）
     * @return string
     * Created by: Owen
     * Created on: 2019/7/19 17:50
     * Description:
     */
    public static function Symbol(){
        return oo::$config['dbindex']."api.symbol";
    }

    /**
     * 活动（由api_activity变更为api）
     * @return string
     * Created by: Owen
     * Created on: 2019/7/25 14:31
     * Description:
     */
    public static function activity(){
        return oo::$config['dbindex'] . "api.activity";
    }

    /**
     * 事件标题(report变更为api)
     * @return string
     * Created by: Owen
     * Created on: 2019/7/26 18:40
     * Description:
     */
    public static function EventTitle(){
        return oo::$config['dbindex']."api.t_event";
    }



    /**
     * 对账后台

     * @return string
     */
    public static function FeedBack2(){
        return oo::$config['dbindex'] . "api.feedback_for_user";
    }

    /**
     * Notes:活动排行榜
     * User: wsc
     * DateTime: 2020/2/21 19:26
     * @return string
     */

    public static function AcivityRank()
    {
        return oo::$config['dbindex'] . "api.t_rank";
    }

    /**
     * 奖励中心配置
     * @return string
     * Created by: Owen
     * Created on: 2020/4/2 19:38
     */
    public static function RewardCenterConfig(){
        return oo::$config['dbindex']."api_config.t_reward_center_config";
    }



    /**
     * 主页背景配置
     * @return string
     * Created by: Owen
     * Created on: 2020/4/2 19:38
     */
    public static function MainBgConfig(){
        return oo::$config['dbindex']."api_config.t_main_bg_config";
    }

    /**
     * 活动收集物
     * @return string
     * Created by: Owen
     * Created on: 2020/4/17 18:24
     */
    public static function ActivityCollection(){
        return oo::$config['dbindex']."api_config.t_activity_collection";
    }

    /**
     * 活动排期
     * @return string
     * Created by: Owen
     * Created on: 2020/4/20 20:36
     */
    public static function ActivitySchedule(){
        return oo::$config['dbindex']."api.activity_schedule";
    }

    /**
     * 签到进度
     * @return string
     * Created by: Owen
     * Created on: 2020/4/24 14:46
     */
    public static function UserSignInProgress(){
        return oo::$config['dbindex'].'api_user.t_signIn_progress';
    }

    /**
     * 最大等级奖励记录
     * @return string
     * Created by: Owen
     * Created on: 2020/4/26 12:29
     */
    public static function MaxLevelReward(){
        return oo::$config['dbindex'].'api_user.t_max_level_reward';
    }
    /**
     * 好友申请记录
     * @param int $uid
     * @return string
     */
    public static function friendLog(){
        return oo::$config['dbindex']."api_user.t_userfriendlog";
    }



    /**
     * 登陸彈框配置
     * @return string
     * Created by: Owen
     * Created on: 2020/5/19 12:04
     */
    public static function LoginBulletBox(){
        return oo::$config['dbindex']."api_config.t_login_bullet_box";
    }



    /**
     * 签到等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/5/23 12:18
     */
    public static function signinSection(){
        return oo::$config['dbindex']."api_config.t_signin_config_section";
    }

    /**
     * 回归配置
     * @return string
     * Created by: Hss
     * Created on: 2020/5/23 12:18
     */
    public static function recallConfig(){
        return oo::$config['dbindex']."api_config.t_recall";
    }

    /**
     * 打金币配置
     * Created by: Hss
     * Created on: 2020/5/29 14:12
     */
    public static function attackCoinConfig(){
        return oo::$config['dbindex'] . "api_config.t_attack_coin_config";
    }

    /**
     * 星星兑换配置
     * @return string
     * Created by: Owen
     * Created on: 2020/6/10 17:48
     */
    public static function StarExchange(){
        return oo::$config['dbindex'] . "api_config.t_star_exchange_config";
    }

    /**
     * 礼包触发
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function GiftTrigger(){
        return oo::$config['dbindex']."api_config.t_gift_trigger_config";
    }

    /**
     * 礼包权重
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function GiftWeights(){
        return oo::$config['dbindex']."api_config.t_gift_weights_config";
    }

    /**
     * 静态md5配置
     * @return string
     * Created by: Owen
     * Created on: 2019/8/22 14:32
     * Description:
     */
    public static function StaticMd5Config(){
        return oo::$config['dbindex']."api_config.t_static_md5_config";
    }

    /**
     * 聚合广告
     * @param  $version
     * @return string
     * Created by: Owen
     * Created on: 2020/7/14 10:36
     */
    public static function Polymerization($version = 0){
        if($version){
            return oo::$config['dbindex']."api_config.t_polymerization_config{$version}";
        }
        return oo::$config['dbindex']."api_config.t_polymerization_config";
    }

    /**
     * 邮件召回
     * @return string
     * Created by: Owen
     * Created on: 2020/7/14 18:26
     */
    static function EmailRecall(){
        return "EMAILRECALL";
    }

    /**
     * 活动金币
     * @return string
     * Created by: Owen
     * Created on: 2020/7/15 19:58
     */
    public static function ActivityCoins(){
        return oo::$config['dbindex'] . "api_config.t_activity_coin_config";
    }

    /**
     * 获取支付加倍配置 出现概率
     * @return string
     * Created by: Hss
     * Created on: 2020/7/17 17:03
     */
    public static function TurnPaybetShowConfig(){
        return oo::$config['dbindex'] . "api_config.t_turn_paybet_show_config";
    }

    /**
     * 获取支付加倍配置 获得倍率
     * @return string
     * Created by: Hss
     * Created on: 2020/7/20 14:46
     */
    public static function TurnPaybetBetConfig(){
        return oo::$config['dbindex'] . "api_config.t_turn_paybet_bet_config";
    }

    /**
     * Notes:活动配置
     * User: wsc
     * Time: 2020/7/16 14:56
     * @return string
     */
    public static function activityConf(){
        return oo::$config['dbindex']."api_config.t_activity_config";
    }

    /**
     * Notes:活动阶段奖励配置
     * User: wsc
     * Time: 2020/7/16 15:00
     * @return string
     */
    public static function activityStageRewardConf(){
        return oo::$config['dbindex']."api_config.t_activity_stage_reward_config";
    }

    /**
     * Notes:分类活动公共配置
     * User: wsc
     * Time: 2020/9/3 21:14
     * @return string
     */
    public static function activityConmmonConf(){
        return oo::$config['dbindex']."api_config.t_activity_common_conf";

    }

    /**
     * 用户分组配置
     * @param  int
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:46
     */
    public static function UserGroupConfig($version = 0){
        if($version){
            return oo::$config['dbindex']."api_config.t_user_group{$version}";
        }
        return oo::$config['dbindex']."api_config.t_user_group";
    }

    /**
     * 用户分组条件配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function UserGroupConditionConfig(){
        return oo::$config['dbindex']."api_config.t_user_group_condition";
    }

    /**
     * 用户动态数据
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function UserDynamicsData(){
        return oo::$config['dbindex']."api_user.t_userdynamics";
    }
    /**
     * 宝藏活动配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function TreasureConfig($new = false){
        if($new){
            return oo::$config['dbindex']."api_config.t_treasure_config2";
        }else{
            return oo::$config['dbindex']."api_config.t_treasure_config";
        }
    }

    /**
     * 宝藏活动配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function TreasureProConfig($version = ''){
        return oo::$config['dbindex']."api_config.t_treasure_pro_config{$version}";
    }

    /**
     * 升级礼包配置
     * @return string
     * Created by: Hss
     * Created on: 2020/8/3 17:05
     */
    public static function GiftUpLevelConfig(){
        return oo::$config['dbindex'] . "api_config.t_gift_uplevel_config";
    }

    /**
     * 分享配置
     * @return string
     * Created by: Owen
     * Created on: 2020/8/3 20:24
     */
    public static function ShareLinkConfig(){
        return oo::$config['dbindex']."api_config.t_share_link_config";
    }

    /**
     * 金卡交换粉丝页不同语言跳转地址
     */
    public static function fansUrl() {
        return oo::$config['dbindex'] . "api_config.t_fans_url";
    }

    /**
     * 邀请奖励配置 等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/8/17 15:16
     */
    public static function InviteRewardConfig(){
        return oo::$config['dbindex'] . "api_config.t_invite_reward_config";
    }

    /**
     * Notes:公共通用配置
     * User: wsc
     * Time: 2020/9/16 10:03
     * @return string
     */
    public static function commonConfig(){
        return oo::$config['dbindex'] . "api_config.common_conf";
    }

    /**
     * Notes:排行榜记录及领奖记录
     * User: wsc
     * Time: 2020/8/20 15:08
     * @param $aid
     * @param int $type
     * @return string
     */
    public static function rankActLog($aid,$type=1){
        if($type==1){
            return oo::$config['dbindex'].'log.rank_log_'.$aid;
        }else{
            return oo::$config['dbindex'].'log.rank_receive_log_'.$aid;
        }
    }

    /**
     * Notes:活动进度记录
     * User: wsc
     * Time: 2020/8/20 15:17
     * @param $aid
     * @return string
     */
    public static function actStageLog($aid){
        return oo::$config['dbindex'].'log.act_stage_log_'.$aid;
    }
    /**
     * Notes:推金币游戏记录
     * User: wsc
     * Time: 2020/11/26 15:02
     * @return string
     */
    public static function gamelog_coindozer(){
        return oo::$config['dbindex']."log.gamelog_coindozer";
    }
    /**
     * Notes:四选一活动游戏记录
     * User: wsc
     * Time: 2020/11/26 15:02
     * @return string
     */
    public static function gamelog_easterEgg(){
        return oo::$config['dbindex']."log.act_easter_egg_log";
    }
    /**
     * 邀请奖励配置 等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/8/17 15:16
     */
    public static function UpLimitConfig(){
        return oo::$config['dbindex'] . "api_config.t_uplimit_config";
    }

    /**
     * 邀请奖励配置 等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/8/17 15:16
     */
    public static function FriendGiftCoinsConfig(){
        return oo::$config['dbindex'] . "api_config.t_friend_gift_coins";
    }

    /**
     * 宝藏探索礼包积分配置
     * @return string
     * Created by: Hss
     * Created on: 2020/9/3 15:19
     */
    public static function treasureQuestPointConfig(){
        return oo::$config['dbindex'] . "api_config.t_gift_treasure_quest_point_config";
    }

    /**
     * 道具配置
     * @return string
     * Created by: Owen
     * Created on: 2020/9/10 18:48
     */
    static public function ChestConfig($v = ""){
        return oo::$config['dbindex'] . "api_config.t_chest_config{$v}";
    }

    /**
     * 金币不足 体力不足 配置
     * @return string
     * Created by: Hss
     * Created on: 2020/9/15 15:09
     */
    public static function shopNotEnoughConfig(){
        return oo::$config['dbindex'] . "api_config.t_shop_not_enough_config";
    }

    /**
     * 通信证统计
     * @return string
     * Created by: Owen
     * Created on: 2020/11/7 15:33
     */
    public static function TrafficPermitSta(){
        return oo::$config['dbindex'] . "api_statistics.t_traffic_permit_sta";
    }

    /**
     * 矿工小游戏统计
     * @return string
     * Created by: Owen
     * Created on: 2020/11/17 17:17
     */
    public static function MiningGameSta(){
        return oo::$config['dbindex'] . "api_statistics.t_mining_game_sta";
    }

    /**
     * 矿工小游戏天统计
     * @return string
     * Created by: Owen
     * Created on: 2020/11/17 17:17
     */
    public static function MiningGameDateSta(){
        return oo::$config['dbindex'] . "api_statistics.t_mining_game_sta_date";
    }

    /**
     * 好友数量进度奖励配置表
     */
    public static function friendProgressConfig(){
        return oo::$config['dbindex'] . "api_config.t_friends_progress_reward_config";
    }

    /**
     * 支付白名单
     * @return string
     * Created by: Hss
     * Created on: 2020/11/23 16:20
     */
    public static function payWhiteList(){
        return oo::$config['dbindex'] . "api_config.t_pay_white_list";
    }

    /**
     * AdJust 統計
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function AdJustData(){
        return oo::$config['dbindex']."api_adjuststa.t_adjust_data";
    }

    /**
     * 奖励礼包
     * @return string
     * Created by: Owen
     * Created on: 2020/12/2 15:54
     */
    public static function UserGiftList(){
        return oo::$config['dbindex'].'api_user.t_usergiftlist';
    }

    /**
     * 订阅转移记录
     * @return string
     * Created by: Owen
     * Created on: 2020/12/3 18:08
     */
    public static function SubscribeTransferLog(){
        return oo::$config['dbindex']."api_statistics.t_subscribe_transfer_log";
    }

    /**
     * AI help 配置
     * @return string
     * Created by: Owen
     * Created on: 2020/12/2 15:54
     */
    public static function AIHelp(){
        return oo::$config['dbindex'].'api_config.t_ai_help_config';
    }

    /**
     * 保险柜统计
     * @return string
     * Created by: Owen
     * Created on: 2020/12/8 19:44
     */
    public static function SteelSafeSta(){
        return oo::$config['dbindex'].'api_statistics.t_steel_safe_sta';
    }

    /**
     * 卡片权重系数
     * @return string
     * Created by: Owen
     * Created on: 2021/1/21 19:39
     */
    public static function CardCoefficient(){
        return oo::$config['dbindex'] . "api_config.t_card_coefficient";
    }

    /**
     * 宝箱皮肤
     * @return string
     * Created by: Owen
     * Created on: 2019/11/7 11:35
     */
    public static function ChestSkinConfig($v = ""){
        return oo::$config['dbindex'] . "api_config.t_chest_skin_config{$v}";
    }

    /**
     * api每半小时请求记录
     * @return string
     */
    public static function apiReqLog() {
        return oo::$config['dbindex'] . "api_statistics.t_api_req_log";
    }

    /**
     * 老虎机权重变化配置
     * @return string
     * Created by: Owen
     * Created on: 2021/2/27 16:24
     */
    static function SlotWeightChangConfig() {
        return oo::$config['dbindex'] . "api_config.t_slot_weight_change_config";
    }

    /**
     * 系统邮件
     * @return string
     */
    static function sysMailMsg() {
        return oo::$config['dbindex'] . "api_config.sys_mail_msg";
    }

    /**
     * 玩家的系统邮件
     * @param int $uid
     */
    static function userSysMail($uid){
        return oo::$config['dbindex'] . "user_sysmail.user_sysmail_".$uid%100;
    }

    /**
     * 每日宝箱配置
     */
    static function dailyChest() {
        return oo::$config['dbindex'] . "api_config.t_config_daily_chest";
    }

    /**
     * 设备Id -- Uid
     * @return string
     * Created by: Owen
     * Created on: 2021/4/10 10:18
     */
    static function DeviceId(){
        return oo::$config['dbindex'] . "api_user.t_device_id";
    }

    /**
     * 分享列表配置
     * @return string
     * Created by: owen
     * Created on: 2021/4/10 10:18
     */
    static function sharePointListConfig(){
        return oo::$config['dbindex'] . "api_config.t_share_point_list_config";
    }

    /**
     * 用户统计数据
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2021/5/10 18:05
     */
    static function UserStatistics($uid){
        return oo::$config['dbindex'] . "api_statistics.t_user_statistics".$uid%10;
    }

    /**
     * Notes:卡组领奖记录
     * User: wsc
     * Time: 2021/7/27 10:38
     * @return string
     */
    static function cardRewardLog(){
        return oo::$config['dbindex'] . "log.card_reward_log";
    }

    /**
     * Notes:活动图片资源目录配置
     * User: xwy
     * Time: 2021/9/2 10:38
     * @return string
     */
    static function activeImgNameConfig(){
        return oo::$config['dbindex'] . "api_config.t_active_img_name_config";
    }

    /**
     * Notes:活动图片资源目录配置
     * User: xwy
     * Time: 2021/9/2 10:38
     * @return string
     */
    static function vipPaymentLog(){
        return oo::$config['dbindex'] . "api_log.vip_and_payment_paramters";
    }

    /**
     * Notes:用户流水表
     * User: xwy
     * Time: 2021/11/4 14:38
     * @return string
     */
    public static function AssetslogNew($date = '', $uid = -1){
        if($date == ""){
            return oo::$config['dbindex']."log.assetslog_";
        }
        if($uid == -1){
            return oo::$config['dbindex']."log.assetslog_".$date;
        }
        //分10张表
        return oo::$config['dbindex']."log.assetslog_".$date."_".$uid%10;
    }

    /**
     * Notes:开卡流水统计
     * User: xwy
     * Time: 2021/11/4 14:38
     * @return string
     */
    public static function cardAssertSummary(){
        return oo::$config['dbindex']."log.card_assets_summary";
    }

    // 客户端adjust记录 表
    public static function adjustCliectData()
    {
        return oo::$config['dbindex'] . "api_adjuststa.t_adjust_cliect_data";
    }

    /**
     * Notes:adjust表
     * User: xwy
     * Time: 2022/4/20 14:38
     * @return string
     */
    public static function adjust($type = 'day'){
        return $type == 'day' ? "crazygod_roport_statistics.t_adjust" : "crazygod_roport_statistics.t_adjust_".$type ;
    }

    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function adjustReport($type = 'day'){
        return "crazygod_roport_statistics.t_adjust_report_".$type ;
    }

    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function prodegeSpends($type = 'day'){
        return "crazygod_roport_statistics.t_prodege_spends" ;
    }

    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function adActionSpends($type = 'day'){
        return "crazygod_roport_statistics.t_adaction_spends" ;
    }

    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function mistplaySpends($type = 'day'){
        return "crazygod_roport_statistics.t_mistplay_spends" ;
    }

    /**
     * Notes:adjoeSpends 表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function adjoeSpends(){
        return "crazygod_roport_statistics.t_adjoe_spends" ;
    }

    /**
     * Notes:adjoeSpends 表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function digitalturbineSpends(){
        return "crazygod_roport_statistics.t_digitalturbine_spends" ;
    }

    /**
     * Notes:adjust表
     * User: xwy
     * Time: 2022/4/20 14:38
     * @return string
     */
    public static function adjustPeriod($type = 'day'){
        return $type == 'day' ? "crazygod_roport_statistics.t_adjust_period" : "crazygod_roport_statistics.t_adjust_period_".$type ;

    }

    /**
     * Notes:adjust表
     * User: xwy
     * Time: 2022/4/20 14:38
     * @return string
     */
    public static function adjustPeriodCampaigns(){
        return "crazygod_roport_statistics.t_adjust_period_campaigns"  ;
    }
    public static function adjustPeriodViews(){
        return "crazygod_roport_statistics.t_adjust_period_view"  ;
    }
    /**
     * Notes:头像框配置
     * User: xwy
     * Time: 2022/5/19 10:38
     * @return string
     */
    public static function avatarConfig(){
        return oo::$config['dbindex']."api_config.t_avatar_config";
    }

    /**
     * Notes:用户头像表
     * User: wsc
     * Time: 2022/6/30 14:55
     * @return string
     */
    public static function userAvatar(){
        return oo::$config['dbindex']."api_user.t_user_avatar";
    }

    // 活动类型统一管理
    public static function actTypes(){
        return "game_common.activity_type";

    }

    /**
     * 活动皮肤额外配置
     */
    public static function ActSkinExtraConfig(){
        return oo::$config['dbindex'] . "api_config.t_active_img_extra_config";
    }
}
